from django.core.management.base import NoArgsCommand
from django.core.management import call_command

class Command(NoArgsCommand):
    help = "Load Contact Role data."

    def handle_noargs(self, **options):
        """Load Contact Role fixtures"""
        call_command('loaddata', 'contactrole_data.xml', interactive=True)

