from django.core.management.base import NoArgsCommand
from django.core.management import call_command

class Command(NoArgsCommand):
    help = "Load OrganizationForm data."

    def handle_noargs(self, **options):
        """Load OrganizationForm fixtures"""
        call_command('loaddata', 'organizationform_data.xml', interactive=True)

