# -*- coding: utf-8 -*-

from south.db import db
from jumbo.db import HackForeignKey
from django.db import models
from organization.models import *
from jumbo.db.models import *

def _get_default_country():
    pass

class Migration:
    
    def forwards(self, orm):
        
        # Adding field 'Organization.in_addressbook'
        db.add_column('organization_organization', 'in_addressbook', orm['organization.organization:in_addressbook'])
        
        # Changing field 'OrganizationGroup.last_modifier'
        # (to signature: models.ForeignKey(orm['auth.User'], db_index=True, null=True, blank=True))
        db.alter_column('organization_organizationgroup', 'last_modifier_id', orm['organization.organizationgroup:last_modifier'])
        
        # Changing field 'OrganizationGroup.creator'
        # (to signature: models.ForeignKey(orm['auth.User'], db_index=True, null=True, blank=True))
        db.alter_column('organization_organizationgroup', 'creator_id', orm['organization.organizationgroup:creator'])
        
        # Changing field 'OrganizationGroup.ordering'
        # (to signature: django.db.models.fields.IntegerField(default=0))
        db.alter_column('organization_organizationgroup', 'ordering', orm['organization.organizationgroup:ordering'])
        
        # Changing field 'OrganizationGroup.date_create'
        # (to signature: django.db.models.fields.DateTimeField())
        db.alter_column('organization_organizationgroup', 'date_create', orm['organization.organizationgroup:date_create'])
        
        # Changing field 'OrganizationGroup.date_last_modify'
        # (to signature: django.db.models.fields.DateTimeField())
        db.alter_column('organization_organizationgroup', 'date_last_modify', orm['organization.organizationgroup:date_last_modify'])
        
        # Changing field 'OrganizationGroup.name'
        # (to signature: django.db.models.fields.CharField(unique=True, max_length=100, db_index=True))
        db.alter_column('organization_organizationgroup', 'name', orm['organization.organizationgroup:name'])
        
        # Changing field 'OrganizationForm.description'
        # (to signature: django.db.models.fields.CharField(db_index=True, max_length=100, blank=True))
        db.alter_column('organization_organizationform', 'description', orm['organization.organizationform:description'])
        
        # Changing field 'OrganizationForm.creator'
        # (to signature: models.ForeignKey(orm['auth.User'], db_index=True, null=True, blank=True))
        db.alter_column('organization_organizationform', 'creator_id', orm['organization.organizationform:creator'])
        
        # Changing field 'OrganizationForm.ordering'
        # (to signature: django.db.models.fields.IntegerField(default=0))
        db.alter_column('organization_organizationform', 'ordering', orm['organization.organizationform:ordering'])
        
        # Changing field 'OrganizationForm.date_create'
        # (to signature: django.db.models.fields.DateTimeField())
        db.alter_column('organization_organizationform', 'date_create', orm['organization.organizationform:date_create'])
        
        # Changing field 'OrganizationForm.last_modifier'
        # (to signature: models.ForeignKey(orm['auth.User'], db_index=True, null=True, blank=True))
        db.alter_column('organization_organizationform', 'last_modifier_id', orm['organization.organizationform:last_modifier'])
        
        # Changing field 'OrganizationForm.date_last_modify'
        # (to signature: django.db.models.fields.DateTimeField())
        db.alter_column('organization_organizationform', 'date_last_modify', orm['organization.organizationform:date_last_modify'])
        
        # Changing field 'OrganizationForm.name'
        # (to signature: django.db.models.fields.CharField(unique=True, max_length=100, db_index=True))
        db.alter_column('organization_organizationform', 'name', orm['organization.organizationform:name'])
        
        # Changing field 'Office.fax'
        # (to signature: django.db.models.fields.CharField(max_length=20))
        db.alter_column('organization_office', 'fax', orm['organization.office:fax'])
        
        # Changing field 'Office.code'
        # (to signature: django.db.models.fields.CharField(unique=True, max_length=15))
        db.alter_column('organization_office', 'code', orm['organization.office:code'])
        
        # Changing field 'Office.description'
        # (to signature: django.db.models.fields.TextField(max_length=255, null=True, blank=True))
        db.alter_column('organization_office', 'description', orm['organization.office:description'])
        
        # Changing field 'Office.creator'
        # (to signature: models.ForeignKey(orm['auth.User'], db_index=True, null=True, blank=True))
        db.alter_column('organization_office', 'creator_id', orm['organization.office:creator'])
        
        # Changing field 'Office.name'
        # (to signature: django.db.models.fields.CharField(unique=True, max_length=50))
        db.alter_column('organization_office', 'name', orm['organization.office:name'])
        
        # Changing field 'Office.date_create'
        # (to signature: django.db.models.fields.DateTimeField())
        db.alter_column('organization_office', 'date_create', orm['organization.office:date_create'])
        
        # Changing field 'Office.phone'
        # (to signature: django.db.models.fields.CharField(max_length=20))
        db.alter_column('organization_office', 'phone', orm['organization.office:phone'])
        
        # Changing field 'Office.email'
        # (to signature: django.db.models.fields.EmailField(max_length=100, null=True, blank=True))
        db.alter_column('organization_office', 'email', orm['organization.office:email'])
        
        # Changing field 'Office.date_last_modify'
        # (to signature: django.db.models.fields.DateTimeField())
        db.alter_column('organization_office', 'date_last_modify', orm['organization.office:date_last_modify'])
        
        # Changing field 'Office.last_modifier'
        # (to signature: models.ForeignKey(orm['auth.User'], db_index=True, null=True, blank=True))
        db.alter_column('organization_office', 'last_modifier_id', orm['organization.office:last_modifier'])
        
        # Changing field 'Bank.last_modifier'
        # (to signature: models.ForeignKey(orm['auth.User'], db_index=True, null=True, blank=True))
        db.alter_column('organization_bank', 'last_modifier_id', orm['organization.bank:last_modifier'])
        
        # Changing field 'Bank.creator'
        # (to signature: models.ForeignKey(orm['auth.User'], db_index=True, null=True, blank=True))
        db.alter_column('organization_bank', 'creator_id', orm['organization.bank:creator'])
        
        # Changing field 'Bank.date_create'
        # (to signature: django.db.models.fields.DateTimeField())
        db.alter_column('organization_bank', 'date_create', orm['organization.bank:date_create'])
        
        # Changing field 'Bank.iban'
        # (to signature: django.db.models.fields.CharField(max_length=30, db_index=True))
        db.alter_column('organization_bank', 'iban', orm['organization.bank:iban'])
        
        # Changing field 'Bank.organization'
        # (to signature: models.ForeignKey(orm['organization.Organization']))
        db.alter_column('organization_bank', 'organization_id', orm['organization.bank:organization'])
        
        # Changing field 'Bank.date_last_modify'
        # (to signature: django.db.models.fields.DateTimeField())
        db.alter_column('organization_bank', 'date_last_modify', orm['organization.bank:date_last_modify'])
        
        # Changing field 'Bank.bank_account'
        # (to signature: django.db.models.fields.CharField(max_length=12, db_index=True))
        db.alter_column('organization_bank', 'bank_account', orm['organization.bank:bank_account'])
        
        # Changing field 'Contact.date_create'
        # (to signature: django.db.models.fields.DateTimeField())
        db.alter_column('organization_contact', 'date_create', orm['organization.contact:date_create'])
        
        # Changing field 'Contact.fax'
        # (to signature: django.db.models.fields.CharField(max_length=20, null=True, blank=True))
        db.alter_column('organization_contact', 'fax', orm['organization.contact:fax'])
        
        # Changing field 'Contact.last_name'
        # (to signature: django.db.models.fields.CharField(max_length=100))
        db.alter_column('organization_contact', 'last_name', orm['organization.contact:last_name'])
        
        # Changing field 'Contact.last_modifier'
        # (to signature: models.ForeignKey(orm['auth.User'], db_index=True, null=True, blank=True))
        db.alter_column('organization_contact', 'last_modifier_id', orm['organization.contact:last_modifier'])
        
        # Changing field 'Contact.creator'
        # (to signature: models.ForeignKey(orm['auth.User'], db_index=True, null=True, blank=True))
        db.alter_column('organization_contact', 'creator_id', orm['organization.contact:creator'])
        
        # Changing field 'Contact.mobile'
        # (to signature: django.db.models.fields.CharField(max_length=20, null=True, blank=True))
        db.alter_column('organization_contact', 'mobile', orm['organization.contact:mobile'])
        
        # Changing field 'Contact.first_name'
        # (to signature: django.db.models.fields.CharField(max_length=100))
        db.alter_column('organization_contact', 'first_name', orm['organization.contact:first_name'])
        
        # Changing field 'Contact.email'
        # (to signature: django.db.models.fields.EmailField(max_length=100, null=True, blank=True))
        db.alter_column('organization_contact', 'email', orm['organization.contact:email'])
        
        # Changing field 'Contact.note'
        # (to signature: django.db.models.fields.TextField(max_length=255, null=True, blank=True))
        db.alter_column('organization_contact', 'note', orm['organization.contact:note'])
        
        # Changing field 'Contact.phone'
        # (to signature: django.db.models.fields.CharField(max_length=20))
        db.alter_column('organization_contact', 'phone', orm['organization.contact:phone'])
        
        # Changing field 'Contact.code'
        # (to signature: django.db.models.fields.CharField(db_index=True, max_length=15, null=True, blank=True))
        db.alter_column('organization_contact', 'code', orm['organization.contact:code'])
        
        # Changing field 'Contact.role'
        # (to signature: models.ForeignKey(orm['organization.ContactRole']))
        db.alter_column('organization_contact', 'role_id', orm['organization.contact:role'])
        
        # Changing field 'Contact.user'
        # (to signature: django.db.models.fields.related.OneToOneField(blank=True, unique=True, null=True, to=orm['auth.User']))
        db.alter_column('organization_contact', 'user_id', orm['organization.contact:user'])
        
        # Changing field 'Contact.organization'
        # (to signature: models.ForeignKey(orm['organization.Organization'], db_index=True, null=True, blank=True))
        db.alter_column('organization_contact', 'organization_id', orm['organization.contact:organization'])
        
        # Changing field 'Contact.date_last_modify'
        # (to signature: django.db.models.fields.DateTimeField())
        db.alter_column('organization_contact', 'date_last_modify', orm['organization.contact:date_last_modify'])
        
        # Changing field 'Organization.code'
        # (to signature: django.db.models.fields.CharField(unique=True, max_length=15, db_index=True))
        db.alter_column('organization_organization', 'code', orm['organization.organization:code'])
        
        # Changing field 'Organization.office'
        # (to signature: models.ForeignKey(orm['organization.Office'], db_index=True, null=True, blank=True))
        db.alter_column('organization_organization', 'office_id', orm['organization.organization:office'])
        
        # Changing field 'Organization.creator'
        # (to signature: models.ForeignKey(orm['auth.User'], db_index=True, null=True, blank=True))
        db.alter_column('organization_organization', 'creator_id', orm['organization.organization:creator'])
        
        # Changing field 'Organization.date_create'
        # (to signature: django.db.models.fields.DateTimeField())
        db.alter_column('organization_organization', 'date_create', orm['organization.organization:date_create'])
        
        # Changing field 'Organization.organization_form'
        # (to signature: models.ForeignKey(orm['organization.OrganizationForm'], db_index=True))
        db.alter_column('organization_organization', 'organization_form_id', orm['organization.organization:organization_form'])
        
        # Changing field 'Organization.vat_number'
        # (to signature: django.db.models.fields.CharField(db_index=True, max_length=11, null=True, blank=True))
        db.alter_column('organization_organization', 'vat_number', orm['organization.organization:vat_number'])
        
        # Changing field 'Organization.ordering'
        # (to signature: django.db.models.fields.IntegerField(default=0))
        db.alter_column('organization_organization', 'ordering', orm['organization.organization:ordering'])
        
        # Changing field 'Organization.note'
        # (to signature: django.db.models.fields.TextField(null=True, blank=True))
        db.alter_column('organization_organization', 'note', orm['organization.organization:note'])
        
        # Changing field 'Organization.field'
        # (to signature: models.ForeignKey(orm['organization.Field'], db_index=True, null=True, blank=True))
        db.alter_column('organization_organization', 'field_id', orm['organization.organization:field'])
        
        # Changing field 'Organization.email'
        # (to signature: django.db.models.fields.EmailField(max_length=100, null=True, blank=True))
        db.alter_column('organization_organization', 'email', orm['organization.organization:email'])
        
        # Changing field 'Organization.fax'
        # (to signature: django.db.models.fields.CharField(max_length=20, null=True, blank=True))
        db.alter_column('organization_organization', 'fax', orm['organization.organization:fax'])
        
        # Changing field 'Organization.last_modifier'
        # (to signature: models.ForeignKey(orm['auth.User'], db_index=True, null=True, blank=True))
        db.alter_column('organization_organization', 'last_modifier_id', orm['organization.organization:last_modifier'])
        
        # Changing field 'Organization.phone2'
        # (to signature: django.db.models.fields.CharField(max_length=20, null=True, blank=True))
        db.alter_column('organization_organization', 'phone2', orm['organization.organization:phone2'])
        
        # Changing field 'Organization.brand'
        # (to signature: django.db.models.fields.CharField(db_index=True, max_length=255, null=True, blank=True))
        db.alter_column('organization_organization', 'brand', orm['organization.organization:brand'])
        
        # Changing field 'Organization.phone'
        # (to signature: django.db.models.fields.CharField(max_length=20))
        db.alter_column('organization_organization', 'phone', orm['organization.organization:phone'])
        
        # Changing field 'Organization.ssn'
        # (to signature: django.db.models.fields.CharField(db_index=True, max_length=16, null=True, blank=True))
        db.alter_column('organization_organization', 'ssn', orm['organization.organization:ssn'])
        
        # Changing field 'Organization.name'
        # (to signature: django.db.models.fields.CharField(max_length=100, db_index=True))
        db.alter_column('organization_organization', 'name', orm['organization.organization:name'])
        
        # Changing field 'Organization.payment_form'
        # (to signature: models.ForeignKey(orm['payment.PaymentForm'], db_index=True, null=True, blank=True))
        db.alter_column('organization_organization', 'payment_form_id', orm['organization.organization:payment_form'])
        
        # Changing field 'Organization.url'
        # (to signature: django.db.models.fields.URLField(max_length=100, null=True, blank=True))
        db.alter_column('organization_organization', 'url', orm['organization.organization:url'])
        
        # Changing field 'Organization.organization_type'
        # (to signature: models.ForeignKey(orm['organization.OrganizationType'], db_index=True))
        db.alter_column('organization_organization', 'organization_type_id', orm['organization.organization:organization_type'])
        
        # Changing field 'Organization.date_last_modify'
        # (to signature: django.db.models.fields.DateTimeField())
        db.alter_column('organization_organization', 'date_last_modify', orm['organization.organization:date_last_modify'])
        
        # Changing field 'OrganizationType.category'
        # (to signature: django.db.models.fields.CharField(max_length=15, db_index=True))
        db.alter_column('organization_organizationtype', 'category', orm['organization.organizationtype:category'])
        
        # Changing field 'OrganizationType.code'
        # (to signature: django.db.models.fields.CharField(unique=True, max_length=15, db_index=True))
        db.alter_column('organization_organizationtype', 'code', orm['organization.organizationtype:code'])
        
        # Changing field 'OrganizationType.description'
        # (to signature: django.db.models.fields.TextField(null=True, blank=True))
        db.alter_column('organization_organizationtype', 'description', orm['organization.organizationtype:description'])
        
        # Changing field 'OrganizationType.creator'
        # (to signature: models.ForeignKey(orm['auth.User'], db_index=True, null=True, blank=True))
        db.alter_column('organization_organizationtype', 'creator_id', orm['organization.organizationtype:creator'])
        
        # Changing field 'OrganizationType.ordering'
        # (to signature: django.db.models.fields.IntegerField(default=0))
        db.alter_column('organization_organizationtype', 'ordering', orm['organization.organizationtype:ordering'])
        
        # Changing field 'OrganizationType.name'
        # (to signature: django.db.models.fields.CharField(unique=True, max_length=100, db_index=True))
        db.alter_column('organization_organizationtype', 'name', orm['organization.organizationtype:name'])
        
        # Changing field 'OrganizationType.date_create'
        # (to signature: django.db.models.fields.DateTimeField())
        db.alter_column('organization_organizationtype', 'date_create', orm['organization.organizationtype:date_create'])
        
        # Changing field 'OrganizationType.note'
        # (to signature: django.db.models.fields.TextField(null=True, blank=True))
        db.alter_column('organization_organizationtype', 'note', orm['organization.organizationtype:note'])
        
        # Changing field 'OrganizationType.date_last_modify'
        # (to signature: django.db.models.fields.DateTimeField())
        db.alter_column('organization_organizationtype', 'date_last_modify', orm['organization.organizationtype:date_last_modify'])
        
        # Changing field 'OrganizationType.last_modifier'
        # (to signature: models.ForeignKey(orm['auth.User'], db_index=True, null=True, blank=True))
        db.alter_column('organization_organizationtype', 'last_modifier_id', orm['organization.organizationtype:last_modifier'])
        
        # Changing field 'ContactRole.last_modifier'
        # (to signature: models.ForeignKey(orm['auth.User'], db_index=True, null=True, blank=True))
        db.alter_column('organization_contactrole', 'last_modifier_id', orm['organization.contactrole:last_modifier'])
        
        # Changing field 'ContactRole.creator'
        # (to signature: models.ForeignKey(orm['auth.User'], db_index=True, null=True, blank=True))
        db.alter_column('organization_contactrole', 'creator_id', orm['organization.contactrole:creator'])
        
        # Changing field 'ContactRole.ordering'
        # (to signature: django.db.models.fields.IntegerField(default=0))
        db.alter_column('organization_contactrole', 'ordering', orm['organization.contactrole:ordering'])
        
        # Changing field 'ContactRole.date_create'
        # (to signature: django.db.models.fields.DateTimeField())
        db.alter_column('organization_contactrole', 'date_create', orm['organization.contactrole:date_create'])
        
        # Changing field 'ContactRole.date_last_modify'
        # (to signature: django.db.models.fields.DateTimeField())
        db.alter_column('organization_contactrole', 'date_last_modify', orm['organization.contactrole:date_last_modify'])
        
        # Changing field 'ContactRole.name'
        # (to signature: django.db.models.fields.CharField(unique=True, max_length=100, db_index=True))
        db.alter_column('organization_contactrole', 'name', orm['organization.contactrole:name'])
        
        # Changing field 'OrganizationAddress.province'
        # (to signature: django.db.models.fields.CharField(max_length=2, db_index=True))
        db.alter_column('organization_organizationaddress', 'province', orm['organization.organizationaddress:province'])
        
        # Changing field 'OrganizationAddress.scale'
        # (to signature: django.db.models.fields.CharField(max_length=5, null=True, blank=True))
        db.alter_column('organization_organizationaddress', 'scale', orm['organization.organizationaddress:scale'])
        
        # Changing field 'OrganizationAddress.last_modifier'
        # (to signature: models.ForeignKey(orm['auth.User'], db_index=True, null=True, blank=True))
        db.alter_column('organization_organizationaddress', 'last_modifier_id', orm['organization.organizationaddress:last_modifier'])
        
        # Changing field 'OrganizationAddress.creator'
        # (to signature: models.ForeignKey(orm['auth.User'], db_index=True, null=True, blank=True))
        db.alter_column('organization_organizationaddress', 'creator_id', orm['organization.organizationaddress:creator'])
        
        # Changing field 'OrganizationAddress.country'
        # (to signature: models.ForeignKey(orm['l10n.Country'], default=_get_default_country, db_index=True))
        db.alter_column('organization_organizationaddress', 'country_id', orm['organization.organizationaddress:country'])
        
        # Changing field 'OrganizationAddress.floor'
        # (to signature: django.db.models.fields.CharField(max_length=3, null=True, blank=True))
        db.alter_column('organization_organizationaddress', 'floor', orm['organization.organizationaddress:floor'])
        
        # Changing field 'OrganizationAddress.number'
        # (to signature: django.db.models.fields.CharField(max_length=10, null=True, blank=True))
        db.alter_column('organization_organizationaddress', 'number', orm['organization.organizationaddress:number'])
        
        # Changing field 'OrganizationAddress.name'
        # (to signature: django.db.models.fields.CharField(max_length=100, db_index=True))
        db.alter_column('organization_organizationaddress', 'name', orm['organization.organizationaddress:name'])
        
        # Changing field 'OrganizationAddress.date_create'
        # (to signature: django.db.models.fields.DateTimeField())
        db.alter_column('organization_organizationaddress', 'date_create', orm['organization.organizationaddress:date_create'])
        
        # Changing field 'OrganizationAddress.crossed'
        # (to signature: django.db.models.fields.CharField(max_length=5, null=True, blank=True))
        db.alter_column('organization_organizationaddress', 'crossed', orm['organization.organizationaddress:crossed'])
        
        # Changing field 'OrganizationAddress.locality'
        # (to signature: django.db.models.fields.CharField(max_length=100, db_index=True))
        db.alter_column('organization_organizationaddress', 'locality', orm['organization.organizationaddress:locality'])
        
        # Changing field 'OrganizationAddress.organization'
        # (to signature: models.ForeignKey(orm['organization.Organization'], db_index=True))
        db.alter_column('organization_organizationaddress', 'organization_id', orm['organization.organizationaddress:organization'])
        
        # Changing field 'OrganizationAddress.post_office'
        # (to signature: django.db.models.fields.CharField(max_length=10, null=True, blank=True))
        db.alter_column('organization_organizationaddress', 'post_office', orm['organization.organizationaddress:post_office'])
        
        # Changing field 'OrganizationAddress.address_type'
        # (to signature: django.db.models.fields.IntegerField(default=7, db_index=True))
        db.alter_column('organization_organizationaddress', 'address_type', orm['organization.organizationaddress:address_type'])
        
        # Changing field 'OrganizationAddress.date_last_modify'
        # (to signature: django.db.models.fields.DateTimeField())
        db.alter_column('organization_organizationaddress', 'date_last_modify', orm['organization.organizationaddress:date_last_modify'])
        
        # Changing field 'OrganizationAddress.zip_code'
        # (to signature: django.db.models.fields.CharField(max_length=5, db_index=True))
        db.alter_column('organization_organizationaddress', 'zip_code', orm['organization.organizationaddress:zip_code'])
        
        # Changing field 'Field.last_modifier'
        # (to signature: models.ForeignKey(orm['auth.User'], db_index=True, null=True, blank=True))
        db.alter_column('organization_field', 'last_modifier_id', orm['organization.field:last_modifier'])
        
        # Changing field 'Field.creator'
        # (to signature: models.ForeignKey(orm['auth.User'], db_index=True, null=True, blank=True))
        db.alter_column('organization_field', 'creator_id', orm['organization.field:creator'])
        
        # Changing field 'Field.ordering'
        # (to signature: django.db.models.fields.IntegerField(default=0))
        db.alter_column('organization_field', 'ordering', orm['organization.field:ordering'])
        
        # Changing field 'Field.date_create'
        # (to signature: django.db.models.fields.DateTimeField())
        db.alter_column('organization_field', 'date_create', orm['organization.field:date_create'])
        
        # Changing field 'Field.date_last_modify'
        # (to signature: django.db.models.fields.DateTimeField())
        db.alter_column('organization_field', 'date_last_modify', orm['organization.field:date_last_modify'])
        
        # Changing field 'Field.name'
        # (to signature: django.db.models.fields.CharField(unique=True, max_length=100, db_index=True))
        db.alter_column('organization_field', 'name', orm['organization.field:name'])
        
        # Creating unique_together for [user] on Contact.
        db.create_unique('organization_contact', ['user_id'])
        
    
    
    def backwards(self, orm):
        
        # Deleting field 'Organization.in_addressbook'
        db.delete_column('organization_organization', 'in_addressbook')
        
        # Changing field 'OrganizationGroup.last_modifier'
        # (to signature: models.ForeignKey(orm['auth.User'], blank=True, null=True, db_index=True))
        db.alter_column('organization_organizationgroup', 'last_modifier_id', orm['organization.organizationgroup:last_modifier'])
        
        # Changing field 'OrganizationGroup.creator'
        # (to signature: models.ForeignKey(orm['auth.User'], blank=True, null=True, db_index=True))
        db.alter_column('organization_organizationgroup', 'creator_id', orm['organization.organizationgroup:creator'])
        
        # Changing field 'OrganizationGroup.ordering'
        # (to signature: models.IntegerField(default=0))
        db.alter_column('organization_organizationgroup', 'ordering', orm['organization.organizationgroup:ordering'])
        
        # Changing field 'OrganizationGroup.date_create'
        # (to signature: models.DateTimeField())
        db.alter_column('organization_organizationgroup', 'date_create', orm['organization.organizationgroup:date_create'])
        
        # Changing field 'OrganizationGroup.date_last_modify'
        # (to signature: models.DateTimeField())
        db.alter_column('organization_organizationgroup', 'date_last_modify', orm['organization.organizationgroup:date_last_modify'])
        
        # Changing field 'OrganizationGroup.name'
        # (to signature: models.CharField(unique=True, max_length=100, db_index=True))
        db.alter_column('organization_organizationgroup', 'name', orm['organization.organizationgroup:name'])
        
        # Changing field 'OrganizationForm.description'
        # (to signature: models.CharField(blank=True, max_length=100, db_index=True))
        db.alter_column('organization_organizationform', 'description', orm['organization.organizationform:description'])
        
        # Changing field 'OrganizationForm.creator'
        # (to signature: models.ForeignKey(orm['auth.User'], blank=True, null=True, db_index=True))
        db.alter_column('organization_organizationform', 'creator_id', orm['organization.organizationform:creator'])
        
        # Changing field 'OrganizationForm.ordering'
        # (to signature: models.IntegerField(default=0))
        db.alter_column('organization_organizationform', 'ordering', orm['organization.organizationform:ordering'])
        
        # Changing field 'OrganizationForm.date_create'
        # (to signature: models.DateTimeField())
        db.alter_column('organization_organizationform', 'date_create', orm['organization.organizationform:date_create'])
        
        # Changing field 'OrganizationForm.last_modifier'
        # (to signature: models.ForeignKey(orm['auth.User'], blank=True, null=True, db_index=True))
        db.alter_column('organization_organizationform', 'last_modifier_id', orm['organization.organizationform:last_modifier'])
        
        # Changing field 'OrganizationForm.date_last_modify'
        # (to signature: models.DateTimeField())
        db.alter_column('organization_organizationform', 'date_last_modify', orm['organization.organizationform:date_last_modify'])
        
        # Changing field 'OrganizationForm.name'
        # (to signature: models.CharField(unique=True, max_length=100, db_index=True))
        db.alter_column('organization_organizationform', 'name', orm['organization.organizationform:name'])
        
        # Changing field 'Office.fax'
        # (to signature: models.CharField(max_length=20))
        db.alter_column('organization_office', 'fax', orm['organization.office:fax'])
        
        # Changing field 'Office.code'
        # (to signature: models.CharField(unique=True, max_length=15))
        db.alter_column('organization_office', 'code', orm['organization.office:code'])
        
        # Changing field 'Office.description'
        # (to signature: models.TextField(max_length=255, null=True, blank=True))
        db.alter_column('organization_office', 'description', orm['organization.office:description'])
        
        # Changing field 'Office.creator'
        # (to signature: models.ForeignKey(orm['auth.User'], blank=True, null=True, db_index=True))
        db.alter_column('organization_office', 'creator_id', orm['organization.office:creator'])
        
        # Changing field 'Office.name'
        # (to signature: models.CharField(unique=True, max_length=50))
        db.alter_column('organization_office', 'name', orm['organization.office:name'])
        
        # Changing field 'Office.date_create'
        # (to signature: models.DateTimeField())
        db.alter_column('organization_office', 'date_create', orm['organization.office:date_create'])
        
        # Changing field 'Office.phone'
        # (to signature: models.CharField(max_length=20))
        db.alter_column('organization_office', 'phone', orm['organization.office:phone'])
        
        # Changing field 'Office.email'
        # (to signature: models.EmailField(null=True, max_length=100, blank=True))
        db.alter_column('organization_office', 'email', orm['organization.office:email'])
        
        # Changing field 'Office.date_last_modify'
        # (to signature: models.DateTimeField())
        db.alter_column('organization_office', 'date_last_modify', orm['organization.office:date_last_modify'])
        
        # Changing field 'Office.last_modifier'
        # (to signature: models.ForeignKey(orm['auth.User'], blank=True, null=True, db_index=True))
        db.alter_column('organization_office', 'last_modifier_id', orm['organization.office:last_modifier'])
        
        # Changing field 'Bank.last_modifier'
        # (to signature: models.ForeignKey(orm['auth.User'], blank=True, null=True, db_index=True))
        db.alter_column('organization_bank', 'last_modifier_id', orm['organization.bank:last_modifier'])
        
        # Changing field 'Bank.creator'
        # (to signature: models.ForeignKey(orm['auth.User'], blank=True, null=True, db_index=True))
        db.alter_column('organization_bank', 'creator_id', orm['organization.bank:creator'])
        
        # Changing field 'Bank.date_create'
        # (to signature: models.DateTimeField())
        db.alter_column('organization_bank', 'date_create', orm['organization.bank:date_create'])
        
        # Changing field 'Bank.iban'
        # (to signature: models.CharField(max_length=30, db_index=True))
        db.alter_column('organization_bank', 'iban', orm['organization.bank:iban'])
        
        # Changing field 'Bank.organization'
        # (to signature: models.ForeignKey(orm.Organization))
        db.alter_column('organization_bank', 'organization_id', orm['organization.bank:organization'])
        
        # Changing field 'Bank.date_last_modify'
        # (to signature: models.DateTimeField())
        db.alter_column('organization_bank', 'date_last_modify', orm['organization.bank:date_last_modify'])
        
        # Changing field 'Bank.bank_account'
        # (to signature: models.CharField(max_length=12, db_index=True))
        db.alter_column('organization_bank', 'bank_account', orm['organization.bank:bank_account'])
        
        # Changing field 'Contact.date_create'
        # (to signature: models.DateTimeField())
        db.alter_column('organization_contact', 'date_create', orm['organization.contact:date_create'])
        
        # Changing field 'Contact.fax'
        # (to signature: models.CharField(null=True, max_length=20, blank=True))
        db.alter_column('organization_contact', 'fax', orm['organization.contact:fax'])
        
        # Changing field 'Contact.last_name'
        # (to signature: models.CharField(max_length=100))
        db.alter_column('organization_contact', 'last_name', orm['organization.contact:last_name'])
        
        # Changing field 'Contact.last_modifier'
        # (to signature: models.ForeignKey(orm['auth.User'], blank=True, null=True, db_index=True))
        db.alter_column('organization_contact', 'last_modifier_id', orm['organization.contact:last_modifier'])
        
        # Changing field 'Contact.creator'
        # (to signature: models.ForeignKey(orm['auth.User'], blank=True, null=True, db_index=True))
        db.alter_column('organization_contact', 'creator_id', orm['organization.contact:creator'])
        
        # Changing field 'Contact.mobile'
        # (to signature: models.CharField(null=True, max_length=20, blank=True))
        db.alter_column('organization_contact', 'mobile', orm['organization.contact:mobile'])
        
        # Changing field 'Contact.first_name'
        # (to signature: models.CharField(max_length=100))
        db.alter_column('organization_contact', 'first_name', orm['organization.contact:first_name'])
        
        # Changing field 'Contact.email'
        # (to signature: models.EmailField(null=True, max_length=100, blank=True))
        db.alter_column('organization_contact', 'email', orm['organization.contact:email'])
        
        # Changing field 'Contact.note'
        # (to signature: models.TextField(null=True, max_length=255, blank=True))
        db.alter_column('organization_contact', 'note', orm['organization.contact:note'])
        
        # Changing field 'Contact.phone'
        # (to signature: models.CharField(max_length=20))
        db.alter_column('organization_contact', 'phone', orm['organization.contact:phone'])
        
        # Changing field 'Contact.code'
        # (to signature: models.CharField(db_index=True, null=True, max_length=15, blank=True))
        db.alter_column('organization_contact', 'code', orm['organization.contact:code'])
        
        # Changing field 'Contact.role'
        # (to signature: models.ForeignKey(orm.ContactRole))
        db.alter_column('organization_contact', 'role_id', orm['organization.contact:role'])
        
        # Changing field 'Contact.user'
        # (to signature: models.OneToOneField(orm['auth.User'], blank=True, null=True, db_index=True))
        db.alter_column('organization_contact', 'user_id', orm['organization.contact:user'])
        
        # Changing field 'Contact.organization'
        # (to signature: models.ForeignKey(orm.Organization, blank=True, null=True, db_index=True))
        db.alter_column('organization_contact', 'organization_id', orm['organization.contact:organization'])
        
        # Changing field 'Contact.date_last_modify'
        # (to signature: models.DateTimeField())
        db.alter_column('organization_contact', 'date_last_modify', orm['organization.contact:date_last_modify'])
        
        # Changing field 'Organization.code'
        # (to signature: models.CharField(unique=True, max_length=15, db_index=True))
        db.alter_column('organization_organization', 'code', orm['organization.organization:code'])
        
        # Changing field 'Organization.office'
        # (to signature: models.ForeignKey(orm.Office, blank=True, null=True, db_index=True))
        db.alter_column('organization_organization', 'office_id', orm['organization.organization:office'])
        
        # Changing field 'Organization.creator'
        # (to signature: models.ForeignKey(orm['auth.User'], blank=True, null=True, db_index=True))
        db.alter_column('organization_organization', 'creator_id', orm['organization.organization:creator'])
        
        # Changing field 'Organization.date_create'
        # (to signature: models.DateTimeField())
        db.alter_column('organization_organization', 'date_create', orm['organization.organization:date_create'])
        
        # Changing field 'Organization.organization_form'
        # (to signature: models.ForeignKey(orm.OrganizationForm, db_index=True))
        db.alter_column('organization_organization', 'organization_form_id', orm['organization.organization:organization_form'])
        
        # Changing field 'Organization.vat_number'
        # (to signature: models.CharField(blank=True, null=True, max_length=11, db_index=True))
        db.alter_column('organization_organization', 'vat_number', orm['organization.organization:vat_number'])
        
        # Changing field 'Organization.ordering'
        # (to signature: models.IntegerField(default=0))
        db.alter_column('organization_organization', 'ordering', orm['organization.organization:ordering'])
        
        # Changing field 'Organization.note'
        # (to signature: models.TextField(null=True, blank=True))
        db.alter_column('organization_organization', 'note', orm['organization.organization:note'])
        
        # Changing field 'Organization.field'
        # (to signature: models.ForeignKey(orm.Field, blank=True, null=True, db_index=True))
        db.alter_column('organization_organization', 'field_id', orm['organization.organization:field'])
        
        # Changing field 'Organization.email'
        # (to signature: models.EmailField(null=True, max_length=100, blank=True))
        db.alter_column('organization_organization', 'email', orm['organization.organization:email'])
        
        # Changing field 'Organization.fax'
        # (to signature: models.CharField(max_length=20, null=True, blank=True))
        db.alter_column('organization_organization', 'fax', orm['organization.organization:fax'])
        
        # Changing field 'Organization.last_modifier'
        # (to signature: models.ForeignKey(orm['auth.User'], blank=True, null=True, db_index=True))
        db.alter_column('organization_organization', 'last_modifier_id', orm['organization.organization:last_modifier'])
        
        # Changing field 'Organization.phone2'
        # (to signature: models.CharField(max_length=20, null=True, blank=True))
        db.alter_column('organization_organization', 'phone2', orm['organization.organization:phone2'])
        
        # Changing field 'Organization.brand'
        # (to signature: models.CharField(blank=True, null=True, max_length=255, db_index=True))
        db.alter_column('organization_organization', 'brand', orm['organization.organization:brand'])
        
        # Changing field 'Organization.phone'
        # (to signature: models.CharField(max_length=20))
        db.alter_column('organization_organization', 'phone', orm['organization.organization:phone'])
        
        # Changing field 'Organization.ssn'
        # (to signature: models.CharField(blank=True, null=True, max_length=16, db_index=True))
        db.alter_column('organization_organization', 'ssn', orm['organization.organization:ssn'])
        
        # Changing field 'Organization.name'
        # (to signature: models.CharField(max_length=100, db_index=True))
        db.alter_column('organization_organization', 'name', orm['organization.organization:name'])
        
        # Changing field 'Organization.payment_form'
        # (to signature: models.ForeignKey(orm['payment.PaymentForm'], blank=True, null=True, db_index=True))
        db.alter_column('organization_organization', 'payment_form_id', orm['organization.organization:payment_form'])
        
        # Changing field 'Organization.url'
        # (to signature: models.URLField(blank=True, null=True, max_length=100, verify_exists=True))
        db.alter_column('organization_organization', 'url', orm['organization.organization:url'])
        
        # Changing field 'Organization.organization_type'
        # (to signature: models.ForeignKey(orm.OrganizationType, db_index=True))
        db.alter_column('organization_organization', 'organization_type_id', orm['organization.organization:organization_type'])
        
        # Changing field 'Organization.date_last_modify'
        # (to signature: models.DateTimeField())
        db.alter_column('organization_organization', 'date_last_modify', orm['organization.organization:date_last_modify'])
        
        # Changing field 'OrganizationType.category'
        # (to signature: models.CharField(max_length=15, db_index=True))
        db.alter_column('organization_organizationtype', 'category', orm['organization.organizationtype:category'])
        
        # Changing field 'OrganizationType.code'
        # (to signature: models.CharField(unique=True, max_length=15, db_index=True))
        db.alter_column('organization_organizationtype', 'code', orm['organization.organizationtype:code'])
        
        # Changing field 'OrganizationType.description'
        # (to signature: models.TextField(null=True, blank=True))
        db.alter_column('organization_organizationtype', 'description', orm['organization.organizationtype:description'])
        
        # Changing field 'OrganizationType.creator'
        # (to signature: models.ForeignKey(orm['auth.User'], blank=True, null=True, db_index=True))
        db.alter_column('organization_organizationtype', 'creator_id', orm['organization.organizationtype:creator'])
        
        # Changing field 'OrganizationType.ordering'
        # (to signature: models.IntegerField(default=0))
        db.alter_column('organization_organizationtype', 'ordering', orm['organization.organizationtype:ordering'])
        
        # Changing field 'OrganizationType.name'
        # (to signature: models.CharField(unique=True, max_length=100, db_index=True))
        db.alter_column('organization_organizationtype', 'name', orm['organization.organizationtype:name'])
        
        # Changing field 'OrganizationType.date_create'
        # (to signature: models.DateTimeField())
        db.alter_column('organization_organizationtype', 'date_create', orm['organization.organizationtype:date_create'])
        
        # Changing field 'OrganizationType.note'
        # (to signature: models.TextField(null=True, blank=True))
        db.alter_column('organization_organizationtype', 'note', orm['organization.organizationtype:note'])
        
        # Changing field 'OrganizationType.date_last_modify'
        # (to signature: models.DateTimeField())
        db.alter_column('organization_organizationtype', 'date_last_modify', orm['organization.organizationtype:date_last_modify'])
        
        # Changing field 'OrganizationType.last_modifier'
        # (to signature: models.ForeignKey(orm['auth.User'], blank=True, null=True, db_index=True))
        db.alter_column('organization_organizationtype', 'last_modifier_id', orm['organization.organizationtype:last_modifier'])
        
        # Changing field 'ContactRole.last_modifier'
        # (to signature: models.ForeignKey(orm['auth.User'], blank=True, null=True, db_index=True))
        db.alter_column('organization_contactrole', 'last_modifier_id', orm['organization.contactrole:last_modifier'])
        
        # Changing field 'ContactRole.creator'
        # (to signature: models.ForeignKey(orm['auth.User'], blank=True, null=True, db_index=True))
        db.alter_column('organization_contactrole', 'creator_id', orm['organization.contactrole:creator'])
        
        # Changing field 'ContactRole.ordering'
        # (to signature: models.IntegerField(default=0))
        db.alter_column('organization_contactrole', 'ordering', orm['organization.contactrole:ordering'])
        
        # Changing field 'ContactRole.date_create'
        # (to signature: models.DateTimeField())
        db.alter_column('organization_contactrole', 'date_create', orm['organization.contactrole:date_create'])
        
        # Changing field 'ContactRole.date_last_modify'
        # (to signature: models.DateTimeField())
        db.alter_column('organization_contactrole', 'date_last_modify', orm['organization.contactrole:date_last_modify'])
        
        # Changing field 'ContactRole.name'
        # (to signature: models.CharField(unique=True, max_length=100, db_index=True))
        db.alter_column('organization_contactrole', 'name', orm['organization.contactrole:name'])
        
        # Changing field 'OrganizationAddress.province'
        # (to signature: models.CharField(max_length=2, db_index=True))
        db.alter_column('organization_organizationaddress', 'province', orm['organization.organizationaddress:province'])
        
        # Changing field 'OrganizationAddress.scale'
        # (to signature: models.CharField(null=True, max_length=5, blank=True))
        db.alter_column('organization_organizationaddress', 'scale', orm['organization.organizationaddress:scale'])
        
        # Changing field 'OrganizationAddress.last_modifier'
        # (to signature: models.ForeignKey(orm['auth.User'], blank=True, null=True, db_index=True))
        db.alter_column('organization_organizationaddress', 'last_modifier_id', orm['organization.organizationaddress:last_modifier'])
        
        # Changing field 'OrganizationAddress.creator'
        # (to signature: models.ForeignKey(orm['auth.User'], blank=True, null=True, db_index=True))
        db.alter_column('organization_organizationaddress', 'creator_id', orm['organization.organizationaddress:creator'])
        
        # Changing field 'OrganizationAddress.country'
        # (to signature: models.ForeignKey(orm['l10n.Country'], default=_get_default_country, db_index=True))
        db.alter_column('organization_organizationaddress', 'country_id', orm['organization.organizationaddress:country'])
        
        # Changing field 'OrganizationAddress.floor'
        # (to signature: models.CharField(null=True, max_length=3, blank=True))
        db.alter_column('organization_organizationaddress', 'floor', orm['organization.organizationaddress:floor'])
        
        # Changing field 'OrganizationAddress.number'
        # (to signature: models.CharField(null=True, max_length=10, blank=True))
        db.alter_column('organization_organizationaddress', 'number', orm['organization.organizationaddress:number'])
        
        # Changing field 'OrganizationAddress.name'
        # (to signature: models.CharField(max_length=100, db_index=True))
        db.alter_column('organization_organizationaddress', 'name', orm['organization.organizationaddress:name'])
        
        # Changing field 'OrganizationAddress.date_create'
        # (to signature: models.DateTimeField())
        db.alter_column('organization_organizationaddress', 'date_create', orm['organization.organizationaddress:date_create'])
        
        # Changing field 'OrganizationAddress.crossed'
        # (to signature: models.CharField(null=True, max_length=5, blank=True))
        db.alter_column('organization_organizationaddress', 'crossed', orm['organization.organizationaddress:crossed'])
        
        # Changing field 'OrganizationAddress.locality'
        # (to signature: models.CharField(max_length=100, db_index=True))
        db.alter_column('organization_organizationaddress', 'locality', orm['organization.organizationaddress:locality'])
        
        # Changing field 'OrganizationAddress.organization'
        # (to signature: models.ForeignKey(orm.Organization, db_index=True))
        db.alter_column('organization_organizationaddress', 'organization_id', orm['organization.organizationaddress:organization'])
        
        # Changing field 'OrganizationAddress.post_office'
        # (to signature: models.CharField(null=True, max_length=10, blank=True))
        db.alter_column('organization_organizationaddress', 'post_office', orm['organization.organizationaddress:post_office'])
        
        # Changing field 'OrganizationAddress.address_type'
        # (to signature: models.IntegerField(default=7, db_index=True))
        db.alter_column('organization_organizationaddress', 'address_type', orm['organization.organizationaddress:address_type'])
        
        # Changing field 'OrganizationAddress.date_last_modify'
        # (to signature: models.DateTimeField())
        db.alter_column('organization_organizationaddress', 'date_last_modify', orm['organization.organizationaddress:date_last_modify'])
        
        # Changing field 'OrganizationAddress.zip_code'
        # (to signature: models.CharField(max_length=5, db_index=True))
        db.alter_column('organization_organizationaddress', 'zip_code', orm['organization.organizationaddress:zip_code'])
        
        # Changing field 'Field.last_modifier'
        # (to signature: models.ForeignKey(orm['auth.User'], blank=True, null=True, db_index=True))
        db.alter_column('organization_field', 'last_modifier_id', orm['organization.field:last_modifier'])
        
        # Changing field 'Field.creator'
        # (to signature: models.ForeignKey(orm['auth.User'], blank=True, null=True, db_index=True))
        db.alter_column('organization_field', 'creator_id', orm['organization.field:creator'])
        
        # Changing field 'Field.ordering'
        # (to signature: models.IntegerField(default=0))
        db.alter_column('organization_field', 'ordering', orm['organization.field:ordering'])
        
        # Changing field 'Field.date_create'
        # (to signature: models.DateTimeField())
        db.alter_column('organization_field', 'date_create', orm['organization.field:date_create'])
        
        # Changing field 'Field.date_last_modify'
        # (to signature: models.DateTimeField())
        db.alter_column('organization_field', 'date_last_modify', orm['organization.field:date_last_modify'])
        
        # Changing field 'Field.name'
        # (to signature: models.CharField(unique=True, max_length=100, db_index=True))
        db.alter_column('organization_field', 'name', orm['organization.field:name'])
        
        # Deleting unique_together for [user] on Contact.
        db.delete_unique('organization_contact', ['user_id'])
        
    
    
    models = {
        'address.addressscope': {
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('StatusField', [], {})
        },
        'contenttypes.contenttype': {
            'Meta': {'unique_together': "(('app_label', 'model'),)"},
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
        },
        'auth.group': {
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'unique_together': "(('content_type', 'codename'),)"},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'l10n.country': {
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'admin_area': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '2', 'null': 'True', 'blank': 'True'}),
            'continent': ('django.db.models.fields.CharField', [], {'max_length': '2'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'iso2_code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '2', 'db_index': 'True'}),
            'iso3_code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '3'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '128', 'db_index': 'True'}),
            'numcode': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'printable_name': ('django.db.models.fields.CharField', [], {'max_length': '128', 'db_index': 'True'})
        },
        'organization.bank': {
            'bank_account': ('django.db.models.fields.CharField', [], {'max_length': '12', 'db_index': 'True'}),
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {}),
            'iban': ('django.db.models.fields.CharField', [], {'max_length': '30', 'db_index': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'organization': ('models.ForeignKey', ["orm['organization.Organization']"], {}),
            'status': ('StatusField', [], {})
        },
        'organization.contact': {
            'code': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '15', 'null': 'True', 'blank': 'True'}),
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fax': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'mobile': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'note': ('django.db.models.fields.TextField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'organization': ('models.ForeignKey', ["orm['organization.Organization']"], {'db_index': 'True', 'related_name': "'contacts'", 'null': 'True', 'blank': 'True'}),
            'phone': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'role': ('models.ForeignKey', ["orm['organization.ContactRole']"], {}),
            'status': ('StatusField', [], {}),
            'user': ('django.db.models.fields.related.OneToOneField', [], {'blank': 'True', 'related_name': "'contact'", 'unique': 'True', 'null': 'True', 'to': "orm['auth.User']"})
        },
        'organization.contactrole': {
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('StatusField', [], {})
        },
        'organization.field': {
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('StatusField', [], {})
        },
        'organization.office': {
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15'}),
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {}),
            'description': ('django.db.models.fields.TextField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fax': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '50'}),
            'phone': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'status': ('StatusField', [], {})
        },
        'organization.organization': {
            'Meta': {'unique_together': "(('vat_number', 'ssn'),)"},
            'brand': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15', 'db_index': 'True'}),
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fax': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'field': ('models.ForeignKey', ["orm['organization.Field']"], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'in_addressbook': ('django.db.models.fields.NullBooleanField', [], {'null': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'office': ('models.ForeignKey', ["orm['organization.Office']"], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'organization_form': ('models.ForeignKey', ["orm['organization.OrganizationForm']"], {'db_index': 'True'}),
            'organization_group': ('django.db.models.fields.related.ManyToManyField', [], {'db_index': 'True', 'to': "orm['organization.OrganizationGroup']", 'null': 'True', 'blank': 'True'}),
            'organization_type': ('models.ForeignKey', ["orm['organization.OrganizationType']"], {'db_index': 'True'}),
            'payment_form': ('models.ForeignKey', ["orm['payment.PaymentForm']"], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'phone': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'phone2': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'ssn': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '16', 'null': 'True', 'blank': 'True'}),
            'status': ('StatusField', [], {}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'vat_number': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '11', 'null': 'True', 'blank': 'True'})
        },
        'organization.organizationaddress': {
            'address_scopes': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['address.AddressScope']", 'db_index': 'True'}),
            'address_type': ('django.db.models.fields.IntegerField', [], {'default': '7', 'db_index': 'True'}),
            'country': ('models.ForeignKey', ["orm['l10n.Country']"], {'default': '_get_default_country', 'db_index': 'True'}),
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'crossed': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {}),
            'floor': ('django.db.models.fields.CharField', [], {'max_length': '3', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'locality': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'number': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'organization': ('models.ForeignKey', ["orm['organization.Organization']"], {'related_name': "'addresses'", 'db_index': 'True'}),
            'post_office': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'province': ('django.db.models.fields.CharField', [], {'max_length': '2', 'db_index': 'True'}),
            'scale': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'status': ('StatusField', [], {}),
            'zip_code': ('django.db.models.fields.CharField', [], {'max_length': '5', 'db_index': 'True'})
        },
        'organization.organizationform': {
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {}),
            'description': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '100', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('StatusField', [], {})
        },
        'organization.organizationgroup': {
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('StatusField', [], {})
        },
        'organization.organizationtype': {
            'category': ('django.db.models.fields.CharField', [], {'max_length': '15', 'db_index': 'True'}),
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15', 'db_index': 'True'}),
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('StatusField', [], {})
        },
        'payment.paymentform': {
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15', 'db_index': 'True'}),
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'discount': ('django.db.models.fields.DecimalField', [], {'default': '0.0', 'max_digits': '9', 'decimal_places': '2'}),
            'fee': ('django.db.models.fields.DecimalField', [], {'default': '0.0', 'max_digits': '9', 'decimal_places': '2'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('StatusField', [], {})
        }
    }
    
    complete_apps = ['organization']
