from django.utils.text import capfirst
from django.core.urlresolvers import reverse
from django.contrib.contenttypes.models import ContentType
from django.utils.translation import ugettext_lazy as _

from admin_tools.dashboard.modules import ModelList

class OrganizationModelList(ModelList):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': _("Organization"),
            'models':['organization.models.Organization', 'organization.models.Contact'],
            'exclude':['organization.models.OrganizationType', 'organization.models.OrganizationGroup',
                            'organization.models.OrganizationForm', 'organization.models.ContactRole']
        }
        super(OrganizationModelList, self).__init__(**kwargs)