from django.core.management.base import NoArgsCommand
from django.core.management import call_command

class Command(NoArgsCommand):
    help = "Load OrganizationType default data."

    def handle_noargs(self, **options):
        """Load OrganizationType default fixtures"""
        call_command('loaddata', 'organizationtype_data.xml', interactive=True)

